Subject: bug#57968: closed (Re: bug#57968: 29.0.50; Emacs crashes in console, when invoked from mutt)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Sep 2023 09:21:02 +0000

Your bug report

#57968: 29.0.50; Emacs crashes in console, when invoked from mutt

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
57968: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=57968
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#57968: 29.0.50; Emacs crashes in console, when invoked from mutt
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], Jean Louis <[email-masked]>
Date: Sun, 3 Sep 2023 02:20:00 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Jean Louis <[email-masked]>
>> Date: Tue, 20 Sep 2022 23:01:19 +0300
>>
>> I use mutt to send emails, but normally emacsclient. This time Emacs
>> server was busy, and I have invoked settings in mutt:
>>
>> :set editor="emacs -Q -nw"
>>
>> to use it from console.
>>
>> But then when editing, Emacs crashes:
>>
>> $ mutt
>> Fatal error 6: Aborted
>> Backtrace:ped                 mutt
>> emacs(+0x19a4c3)[0x5596d6e8f4c3]
>> emacs(+0x48197)[0x5596d6d3d197]
>> emacs(+0x486e2)[0x5596d6d3d6e2]
>> emacs(+0x48334)[0x5596d6d3d334]gency escape.
>> emacs(+0x199f28)[0x5596d6e8ef28]
>> /usr/lib/libc.so.6(+0x428e0)[0x7f3968c498e0]
>> /usr/lib/libc.so.6(__pread64_nocancel+0xe)[0x7f3968d1188e]
>> /usr/lib/libc.so.6(+0x15aea8)[0x7f3968d61ea8]
>> /usr/lib/libc.so.6(+0x15b2af)[0x7f3968d622af]
>> /usr/lib/libc.so.6(getutid_r+0x31)[0x7f3968d61c61]
>> /usr/lib/libc.so.6(getutid+0x33)[0x7f3968d61b43]
>> emacs(+0x1a78df)[0x5596d6e9c8df]
>> emacs(+0x1a7d7c)[0x5596d6e9cd7c]
>> emacs(+0x1a7f3e)[0x5596d6e9cf3e]
>> emacs(+0x1a8755)[0x5596d6e9d755]
>
> These addresses can only be interpreted on your system, and are
> otherwise useless.  So either you translate them to file names and
> line numbers using the technique described in the node "Crashing" of
> the user manual, or you need to arrange Emacs to run under a debugger
> and post the backtrace from there.
>
> Btw, this part:
>
>> emacs(+0x48334)[0x5596d6d3d334]gency escape.
>
> hints that Emacs attempted the "emergency escape" feature, for some
> reason (did you press C-g more than once or twice?).  If so, then this
> abort was triggered by you.
>
> I'm also wondering whether "emacs -nw" can be run from mutt, since
> mutt is (AFAIK) full-screen text-mode application, and so it probably
> usurps the terminal and doesn't allow other programs work in
> full-screen mode, something that Emacs must do.
>
> So perhaps the scenario was like this:
>
>   . you invoked the editor
>   . emacs couldn't display on the terminal and seemed to freeze
>   . you typed C-g several times
>   . emacs performed the "emergency escape" procedure and aborted
>     itself
>
> Sounds plausible?

More information was requested, but none was given within 12 months, so
I'm closing this bug.  If this is still an issue, please reply to this
email (use "Reply to all" in your email client) and we can reopen the
bug report.

Subject: 29.0.50; Emacs crashes in console, when invoked from mutt
From: Jean Louis <[email-masked]>
To: [email-masked]
Date: Tue, 20 Sep 2022 23:01:19 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

I use mutt to send emails, but normally emacsclient. This time Emacs
server was busy, and I have invoked settings in mutt:

:set editor="emacs -Q -nw"

to use it from console.

But then when editing, Emacs crashes:

$ mutt
Fatal error 6: Aborted
Backtrace:ped                 mutt
emacs(+0x19a4c3)[0x5596d6e8f4c3]
emacs(+0x48197)[0x5596d6d3d197]
emacs(+0x486e2)[0x5596d6d3d6e2]
emacs(+0x48334)[0x5596d6d3d334]gency escape.
emacs(+0x199f28)[0x5596d6e8ef28]
/usr/lib/libc.so.6(+0x428e0)[0x7f3968c498e0]
/usr/lib/libc.so.6(__pread64_nocancel+0xe)[0x7f3968d1188e]
/usr/lib/libc.so.6(+0x15aea8)[0x7f3968d61ea8]
/usr/lib/libc.so.6(+0x15b2af)[0x7f3968d622af]
/usr/lib/libc.so.6(getutid_r+0x31)[0x7f3968d61c61]
/usr/lib/libc.so.6(getutid+0x33)[0x7f3968d61b43]
emacs(+0x1a78df)[0x5596d6e9c8df]
emacs(+0x1a7d7c)[0x5596d6e9cd7c]
emacs(+0x1a7f3e)[0x5596d6e9cf3e]
emacs(+0x1a8755)[0x5596d6e9d755]
emacs(+0x1a8a1d)[0x5596d6e9da1d]
emacs(+0x1aa4f8)[0x5596d6e9f4f8]
emacs(+0x1ac740)[0x5596d6ea1740]
emacs(+0x1f9236)[0x5596d6eee236]
emacs(+0x252032)[0x5596d6f47032]
emacs(+0x2084a6)[0x5596d6efd4a6]
emacs(+0x20a0a0)[0x5596d6eff0a0]
emacs(+0x252032)[0x5596d6f47032]
emacs(+0x2084a6)[0x5596d6efd4a6]
emacs(+0x2044de)[0x5596d6ef94de]
emacs(+0x2084a6)[0x5596d6efd4a6]
emacs(+0x205a6e)[0x5596d6efaa6e]
emacs(+0x252032)[0x5596d6f47032]
emacs(+0x2084a6)[0x5596d6efd4a6]
emacs(+0x18c839)[0x5596d6e81839]
emacs(+0x206d17)[0x5596d6efbd17]
emacs(+0x177c56)[0x5596d6e6cc56]
emacs(+0x206c71)[0x5596d6efbc71]
emacs(+0x177bf1)[0x5596d6e6cbf1]
emacs(+0x17efe2)[0x5596d6e73fe2]
emacs(+0x17f370)[0x5596d6e74370]
emacs(+0x50ed2)[0x5596d6d45ed2]
/usr/lib/libc.so.6(+0x2d290)[0x7f3968c34290]
/usr/lib/libc.so.6(__libc_start_main+0x8a)[0x7f3968c3434a]
emacs(+0x513e5)[0x5596d6d463e5]

In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit, cairo
 version 1.17.6, Xaw3d scroll bars) of 2022-09-16 built on
 protected.rcdrun.com
Repository revision: 3c1579697ff03d3991b41ead503211cffac0998f
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12101003
System Description: Parabola GNU/Linux-libre

Configured using:
 'configure --with-x-toolkit=lucid'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS
WEBP X11 XAW3D XDBE XIM XINPUT2 XPM LUCID ZLIB

Important settings:
  value of $LC_ALL: en_US.UTF-8
  value of $LANG: de_DE.UTF-8
  value of $XMODIFIERS: @im=exwm-xim
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr ispell emacsbug message mailcap yank-media puny
dired dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg
rfc6068 epg-config gnus-util text-property-search time-date subr-x
mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils
mailheader cl-loaddefs cl-lib sendmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils rmc iso-transl tooltip eldoc paren
electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer nadvice seq simple cl-generic
indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite emoji-zwj charscript charprop case-table epa-hook
jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
faces cus-face macroexp files window text-properties overlay sha1 md5
base64 format env code-pages mule custom widget keymap
hashtable-print-readable backquote threads dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting cairo x-toolkit
xinput2 x multi-tty make-network-process emacs)

Memory information:
((conses 16 42989 7602)
 (symbols 48 5282 0)
 (strings 32 15441 3035)
 (string-bytes 1 435599)
 (vectors 16 10720)
 (vector-slots 8 160870 12224)
 (floats 8 41 14)
 (intervals 56 275 0)
 (buffers 1000 12))

-- 
Jean

Take action in Free Software Foundation campaigns:
https://www.fsf.org/campaigns

In support of Richard M. Stallman
https://stallmansupport.org/